package userline

import (
	"fmt"
	"github.com/tsdrm/go-tool/log"
	"github.com/tsdrm/go-tool/util"
	"gopkg.in/mgo.v2/bson"
	"time"
)

var HOST_ADDR = ""

func GetNum() {
	for {
		var minutes = time.Now().Minute()
		if minutes%5 != 0 {
			time.Sleep(45 * time.Second)
			continue
		}

		var t = util.Now13() / (60 * 1000) * (60 * 1000)
		log.D("GetNum will record the num with t: %v", t)

		var err = recordNum(t)
		if err != nil {
			log.E("GetNum with t: %v error: %v", t, err)
			time.Sleep(20 * time.Second)
			continue
		}
		time.Sleep(time.Minute)
	}
}

func recordNum(t int64) error {
	var url = fmt.Sprintf("http://%v/?_data_=1", HOST_ADDR)
	result, err := util.HTTPGetMap("%v", url)
	if err != nil {
		return err
	}
	var num = result.Int("number")

	// record
	_, err = C("active_num").Upsert(bson.M{
		"time": t,
	}, bson.M{
		"$setOnInsert": bson.M{"_id": bson.NewObjectId().Hex()},
		"$set": bson.M{
			"num":  num,
			"time": t,
		},
	})
	return err
}
